<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: magpar_scripts Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="namespaces.html"><span>Namespace&nbsp;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>magpar_scripts Namespace Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Vector.html">Vector</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html">TestVectorClass</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Line.html">Line</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestLineClass.html">TestLineClass</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Segment.html">Segment</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html">Polygon</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestPolygonClass.html">TestPolygonClass</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestBiotSavart.html">TestBiotSavart</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Test__external__field__wire.html">Test_external_field_wire</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#aa6c2446790d2a3246c978b424e95ff2f">initialize_magnetization_mx</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a4e3f9a1d603184f9ff136e46d26598e9">initialize_magnetization_my</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a9f9dc713515bf6c1a96df980e343da19">initialize_magnetization_mz</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a2b4ce44119d522c3eb7f5161aa80966c">initialize_magnetization_111</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a54dedbc6e382fb7d003d37a63ff94115">initialize_magnetization_theta_rad</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a273ab57aa9481ae61e59b240b24c8e03">initialize_magnetization_theta_deg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a5cdd1eae379f26c9720c49dec83d012d">initialize_magnetization_phi_rad</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a85c04402596d19d113d048880d0b49e9">initialize_magnetization_phi_deg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#af4f8c8f2600255797109042d0aaced26">initialize_magnetization_random</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#afce9532d1437fcbe8bca5ae719dc9860">initialize_magnetization_flower</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a8a35f5cfdbb621da73fe2958051e1172">vortex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a93fd61ba10b8db75116747a4f4c72435">initialize_magnetization_vortex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a06006b1162487783c82d6fd5fca08ccc">initialize_magnetization_blochwall</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a13a5d8863f1e50544998dcef58cebb77">initialize_magnetization_head_to_head_transverse</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a08d423bc675643daeeb49ec057efe98f">initialize_magnetization_head_to_head_vortex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a2f04a438f7720f937e54b26735f5a27f">external_field_homogeneous</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#afe500c0fa5ce5db6b713d879d674236f">external_field_time_scaling</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#aa122a311e0946575a7075f09eebf67d4">test_straight_poly</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a1eb54de263be89953a71f0d2a57727d1">biot_savart</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a8486bf09c2c0387de3cb167c33ea95e3">field_of_wire_slow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a8b2a12e6a0a5e451cd66a8ee0ccde750">field_of_wire</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#af64bef2d33cf392cfaf3e0d2fdfaedf3">initmag</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a4889fc687075408e47586441d78bc2bc">hext_xyz2</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#aeeee98d34a6b07b9887f1f17f32e4cfb">hext_xyzt</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a9a780374934c6a43567623106e9bd930">timing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#ab313689e503e5184361832ec84f8bb9e">test_function_2col</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a73c362a0a7f24f6d51c3f0160e784e46">misc3</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a59d1a14482e403787445cdd72729eb36">wire_z</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#acec0f7080ab7b20ede1339ea10a5af09">hext_f</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a83afadbbc6cc100df4bbaa185748b0db">hext_xyz</a></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">tuple&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemagpar__scripts.html#a40a8f3ca93e972521b5a7c8ed44eb2d8">coils</a> = wire_z()</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a1eb54de263be89953a71f0d2a57727d1"></a><!-- doxytag: member="magpar_scripts::biot_savart" ref="a1eb54de263be89953a71f0d2a57727d1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::biot_savart </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>current_A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>ds</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Calculate magnetic field according to Biot-Savart law

dB=mu0*I/(4 pi)* (ds x r)/r^3

http://en.wikipedia.org/wiki/Biot-Savart_law
http://maxwell.byu.edu/~spencerr/websumm122/node70.html
http://hyperphysics.phy-astr.gsu.edu/HBASE/magnetic/magcur.html#c2
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00476">476</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a2f04a438f7720f937e54b26735f5a27f"></a><!-- doxytag: member="magpar_scripts::external_field_homogeneous" ref="a2f04a438f7720f937e54b26735f5a27f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::external_field_homogeneous </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>theta_deg</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>phi_deg</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>amp_T</em> = <code>0.0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00365">365</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="afe500c0fa5ce5db6b713d879d674236f"></a><!-- doxytag: member="magpar_scripts::external_field_time_scaling" ref="afe500c0fa5ce5db6b713d879d674236f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::external_field_time_scaling </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>t_ns</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00378">378</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a8b2a12e6a0a5e451cd66a8ee0ccde750"></a><!-- doxytag: member="magpar_scripts::field_of_wire" ref="a8b2a12e6a0a5e451cd66a8ee0ccde750" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::field_of_wire </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>wire</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>current_A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00516">516</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a8486bf09c2c0387de3cb167c33ea95e3"></a><!-- doxytag: member="magpar_scripts::field_of_wire_slow" ref="a8486bf09c2c0387de3cb167c33ea95e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::field_of_wire_slow </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>wire</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>current_A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00506">506</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="acec0f7080ab7b20ede1339ea10a5af09"></a><!-- doxytag: member="magpar_scripts::hext_f" ref="acec0f7080ab7b20ede1339ea10a5af09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::hext_f </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>t_ns</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00614">614</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a83afadbbc6cc100df4bbaa185748b0db"></a><!-- doxytag: member="magpar_scripts::hext_xyz" ref="a83afadbbc6cc100df4bbaa185748b0db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::hext_xyz </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>z</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Set external field with desired function called in here.

This function must be defined after all the external_field_* functions!
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00632">632</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a4889fc687075408e47586441d78bc2bc"></a><!-- doxytag: member="magpar_scripts::hext_xyz2" ref="a4889fc687075408e47586441d78bc2bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::hext_xyz2 </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>z</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Set external field with desired function called in here.

This function must be define after all the external_field_* functions!
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00551">551</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="aeeee98d34a6b07b9887f1f17f32e4cfb"></a><!-- doxytag: member="magpar_scripts::hext_xyzt" ref="aeeee98d34a6b07b9887f1f17f32e4cfb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::hext_xyzt </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>t_ns</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Set external field with desired function called in here.

This function must be define after all the external_field_* functions!
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00561">561</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a2b4ce44119d522c3eb7f5161aa80966c"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_111" ref="a2b4ce44119d522c3eb7f5161aa80966c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_111 </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00222">222</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a06006b1162487783c82d6fd5fca08ccc"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_blochwall" ref="a06006b1162487783c82d6fd5fca08ccc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_blochwall </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>xpos</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0.1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Bloch wall (parallel to y-z plane)
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00316">316</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="afce9532d1437fcbe8bca5ae719dc9860"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_flower" ref="afce9532d1437fcbe8bca5ae719dc9860" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_flower </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>c</em> = <code>Vector([0.0,0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>f</em> = <code>1.0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Approximate flower state (around z-axis)
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00260">260</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a13a5d8863f1e50544998dcef58cebb77"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_head_to_head_transverse" ref="a13a5d8863f1e50544998dcef58cebb77" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_head_to_head_transverse </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>xpos</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0.1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Transverse head-to-head wall
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00331">331</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a08d423bc675643daeeb49ec057efe98f"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_head_to_head_vortex" ref="a08d423bc675643daeeb49ec057efe98f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_head_to_head_vortex </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>xpos</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>0.1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Approximate vortex head-to-head wall

Head-to-head vortex wall at (0, 0) with radius R
if R&gt;0, then vortex is clockwise in xy plane.
if R&lt;0, then vortex is counter-clockwise in xy plane.
center of vortex points in -z direction.
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00346">346</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="aa6c2446790d2a3246c978b424e95ff2f"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_mx" ref="aa6c2446790d2a3246c978b424e95ff2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_mx </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00207">207</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a4e3f9a1d603184f9ff136e46d26598e9"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_my" ref="a4e3f9a1d603184f9ff136e46d26598e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_my </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00212">212</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a9f9dc713515bf6c1a96df980e343da19"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_mz" ref="a9f9dc713515bf6c1a96df980e343da19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_mz </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00217">217</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a85c04402596d19d113d048880d0b49e9"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_phi_deg" ref="a85c04402596d19d113d048880d0b49e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_phi_deg </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>phi_deg</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00245">245</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a5cdd1eae379f26c9720c49dec83d012d"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_phi_rad" ref="a5cdd1eae379f26c9720c49dec83d012d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_phi_rad </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>phi</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Set magnetization in x-y plane to desired angle
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00239">239</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="af4f8c8f2600255797109042d0aaced26"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_random" ref="af4f8c8f2600255797109042d0aaced26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_random </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Random magnetization - inaccurate: not uniform on unit sphere!
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00250">250</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a273ab57aa9481ae61e59b240b24c8e03"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_theta_deg" ref="a273ab57aa9481ae61e59b240b24c8e03" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_theta_deg </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>theta_deg</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00234">234</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a54dedbc6e382fb7d003d37a63ff94115"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_theta_rad" ref="a54dedbc6e382fb7d003d37a63ff94115" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_theta_rad </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>theta</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Set magnetization in x-z plane to desired angle theta (from z-axis)
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00228">228</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a93fd61ba10b8db75116747a4f4c72435"></a><!-- doxytag: member="magpar_scripts::initialize_magnetization_vortex" ref="a93fd61ba10b8db75116747a4f4c72435" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initialize_magnetization_vortex </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>c</em> = <code>Vector([0.0,0.0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Approximate vortex state
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00301">301</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="af64bef2d33cf392cfaf3e0d2fdfaedf3"></a><!-- doxytag: member="magpar_scripts::initmag" ref="af64bef2d33cf392cfaf3e0d2fdfaedf3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::initmag </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>z</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Initialize magnetization with desired function called in here.

This function must be define after all the initialize_magnetization_* functions!
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00538">538</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a73c362a0a7f24f6d51c3f0160e784e46"></a><!-- doxytag: member="magpar_scripts::misc3" ref="a73c362a0a7f24f6d51c3f0160e784e46" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::misc3 </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00601">601</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="ab313689e503e5184361832ec84f8bb9e"></a><!-- doxytag: member="magpar_scripts::test_function_2col" ref="ab313689e503e5184361832ec84f8bb9e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::test_function_2col </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00588">588</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="aa122a311e0946575a7075f09eebf67d4"></a><!-- doxytag: member="magpar_scripts::test_straight_poly" ref="aa122a311e0946575a7075f09eebf67d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::test_straight_poly </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00451">451</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a9a780374934c6a43567623106e9bd930"></a><!-- doxytag: member="magpar_scripts::timing" ref="a9a780374934c6a43567623106e9bd930" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::timing </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>a</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00579">579</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a8a35f5cfdbb621da73fe2958051e1172"></a><!-- doxytag: member="magpar_scripts::vortex" ref="a8a35f5cfdbb621da73fe2958051e1172" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::vortex </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>R</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Approximate vortex state

vortex centered at (cx, cy) with radius R:
if R&gt;0, then vortex is counter-clockwise in xy plane.
if R&lt;0, then vortex is clockwise in xy plane.
center of vortex points in pol*z direction.
</pre></div> 
<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00270">270</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a59d1a14482e403787445cdd72729eb36"></a><!-- doxytag: member="magpar_scripts::wire_z" ref="a59d1a14482e403787445cdd72729eb36" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::wire_z </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00605">605</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a40a8f3ca93e972521b5a7c8ed44eb2d8"></a><!-- doxytag: member="magpar_scripts::coils" ref="a40a8f3ca93e972521b5a7c8ed44eb2d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tuple <a class="el" href="namespacemagpar__scripts.html#a40a8f3ca93e972521b5a7c8ed44eb2d8">magpar_scripts::coils</a> = wire_z()</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00630">630</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

